Package org.eclipse.handly.ui.search

## Class QueryListenerAdapter

- java.lang.Object
- - org.eclipse.handly.ui.search.QueryListenerAdapter

- All Implemented Interfaces:
    `org.eclipse.search.ui.IQueryListener`

      public class QueryListenerAdapter
      extends java.lang.Object
      implements org.eclipse.search.ui.IQueryListener

  Provides default implementations for the methods of `IQueryListener`.

  Clients may extend this class and override only the methods which they are interested in.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryListenerAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `queryAdded​(org.eclipse.search.ui.ISearchQuery query)` |
    `void` | `queryFinished​(org.eclipse.search.ui.ISearchQuery query)` |
    `void` | `queryRemoved​(org.eclipse.search.ui.ISearchQuery query)` |
    `void` | `queryStarting​(org.eclipse.search.ui.ISearchQuery query)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryListenerAdapter

          public QueryListenerAdapter()

  - ### Method Detail

    - #### queryAdded

          public void queryAdded​(org.eclipse.search.ui.ISearchQuery query)

      Specified by:
        `queryAdded` in interface `org.eclipse.search.ui.IQueryListener`

    - #### queryRemoved

          public void queryRemoved​(org.eclipse.search.ui.ISearchQuery query)

      Specified by:
        `queryRemoved` in interface `org.eclipse.search.ui.IQueryListener`

    - #### queryStarting

          public void queryStarting​(org.eclipse.search.ui.ISearchQuery query)

      Specified by:
        `queryStarting` in interface `org.eclipse.search.ui.IQueryListener`

    - #### queryFinished

          public void queryFinished​(org.eclipse.search.ui.ISearchQuery query)

      Specified by:
        `queryFinished` in interface `org.eclipse.search.ui.IQueryListener`